// $ANTLR : "VerilogLexer.g" -> "VerilogLexer.java"$

package satc.lang; 

public interface VerilogLexerTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int MLC_STAR = 4;
	int MLC_CLOSE = 5;
	int MLC_WORD = 6;
	int MLC_WS = 7;
	int LITERAL_module = 8;
	int LITERAL_macromodule = 9;
	int LITERAL_begin = 10;
	int LITERAL_end = 11;
	int LITERAL_initial = 12;
	int LITERAL_always = 13;
	int LITERAL_endmodule = 14;
	int LITERAL_case = 15;
	int LITERAL_casex = 16;
	int LITERAL_casez = 17;
	int LITERAL_endcase = 18;
	int LITERAL_default = 19;
	int LITERAL_if = 20;
	int LITERAL_then = 21;
	int LITERAL_else = 22;
	int LITERAL_forever = 23;
	int LITERAL_repeat = 24;
	int LITERAL_while = 25;
	int LITERAL_for = 26;
	int LITERAL_wait = 27;
	int LITERAL_posedge = 28;
	int LITERAL_negedge = 29;
	int LITERAL_parameter = 30;
	int LITERAL_input = 31;
	int LITERAL_output = 32;
	int LITERAL_inout = 33;
	int LITERAL_trireg = 34;
	int LITERAL_wire = 35;
	int LITERAL_tri = 36;
	int LITERAL_wand = 37;
	int LITERAL_triand = 38;
	int LITERAL_wor = 39;
	int LITERAL_trior = 40;
	int LITERAL_scalared = 41;
	int LITERAL_vectored = 42;
	int LITERAL_reg = 43;
	int LITERAL_time = 44;
	int LITERAL_integer = 45;
	int LITERAL_real = 46;
	int LITERAL_event = 47;
	int LITERAL_assign = 48;
	int LITERAL_defparam = 49;
	int LITERAL_small = 50;
	int LITERAL_medium = 51;
	int LITERAL_large = 52;
	int LITERAL_and = 53;
	int LITERAL_nand = 54;
	int LITERAL_or = 55;
	int LITERAL_nor = 56;
	int LITERAL_xor = 57;
	int LITERAL_xnor = 58;
	int LITERAL_buf = 59;
	int LITERAL_not = 60;
	// "supply0" = 61
	// "strong0" = 62
	// "pull0" = 63
	// "weak0" = 64
	// "highz0" = 65
	// "supply1" = 66
	// "strong1" = 67
	// "pull1" = 68
	// "weak1" = 69
	// "highz1" = 70
	// "buffif0" = 71
	// "buffif1" = 72
	// "notif0" = 73
	// "notif1" = 74
	// "tranif0" = 75
	// "rtranif0" = 76
	// "tranif1" = 77
	// "rtranif1" = 78
	int LITERAL_pulldown = 79;
	int LITERAL_pullup = 80;
	int LITERAL_nmos = 81;
	int LITERAL_rnmos = 82;
	int LITERAL_pmos = 83;
	int LITERAL_rpmos = 84;
	int LITERAL_cmos = 85;
	int LITERAL_rcmos = 86;
	int LITERAL_tran = 87;
	int LITERAL_rtran = 88;
	int LITERAL_disable = 89;
	int LITERAL_deassign = 90;
	int LITERAL_force = 91;
	int LITERAL_release = 92;
	int LITERAL_fork = 93;
	int LITERAL_join = 94;
	int LITERAL_function = 95;
	int LITERAL_endfunction = 96;
	int LITERAL_task = 97;
	int LITERAL_endtask = 98;
	int LITERAL_table = 99;
	int LITERAL_endtable = 100;
	int LITERAL_primitive = 101;
	int LITERAL_endprimitive = 102;
	int LITERAL_edge = 103;
	int LITERAL_specparam = 104;
	int LITERAL_specify = 105;
	int LITERAL_endspecify = 106;
	int TAB = 107;
	int BLANK = 108;
	int NEWLINE = 109;
	int SL_COMMENT = 110;
	int MLC_OPEN = 111;
	int AT = 112;
	int COLON = 113;
	int COMMA = 114;
	int DOT = 115;
	int ASSIGN = 116;
	int MINUS = 117;
	int LBRACK = 118;
	int RBRACK = 119;
	int LCURLY = 120;
	int RCURLY = 121;
	int LPAREN = 122;
	int RPAREN = 123;
	int POUND = 124;
	int QUESTION = 125;
	int SEMI = 126;
	int PLUS = 127;
	int LNOT = 128;
	int BNOT = 129;
	int BAND = 130;
	int RNAND = 131;
	int BOR = 132;
	int RNOR = 133;
	int BXOR = 134;
	int RXNOR = 135;
	int STAR = 136;
	int DIV = 137;
	int MOD = 138;
	int EQUAL = 139;
	int NOT_EQ = 140;
	int NOT_EQ_CASE = 141;
	int EQ_CASE = 142;
	int LAND = 143;
	int LOR = 144;
	int LT = 145;
	int LE = 146;
	int GT = 147;
	int GE = 148;
	int SR = 149;
	int SL = 150;
	int TRIGGER = 151;
	int PPATH = 152;
	int FPATH = 153;
	int IDENTIFIER = 154;
	int ESCAPED_IDENTIFIER = 155;
	int SYSTEM_TASK_NAME = 156;
	int STRING = 157;
	int DEFINE = 158;
	int VOCAB = 159;
	int NUMBER = 160;
	int SIZED_NUMBER = 161;
	int SIZE = 162;
	int BASE = 163;
	int SIZED_DIGIT = 164;
	int UNSIZED_NUMBER = 165;
	int DIGIT = 166;
	int HEXDIGIT = 167;
	int EXPONENT = 168;
}
